Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451142 - Review Request: haddock09 - documentation tool for annotated Haskell source code
Summary: Review Request: haddock09 - documentation tool for annotated Haskell source code
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 451872
TreeView+ depends on / blocked
 
Reported: 2008-06-12 23:00 UTC by Bryan O'Sullivan
Modified: 2008-06-19 01:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-19 01:51:52 UTC
tibbs: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Bryan O'Sullivan 2008-06-12 23:00:15 UTC
Spec URL: http://core.serpentine.com/haddock09.spec
SRPM URL: http://core.serpentine.com/haddock09-0.9-2.fc9.src.rpm
Description: 

Haddock is a tool for automatically generating hyperlinked documentation from
annotated Haskell source code.

We already package Haddock 2.0, but Haddock 0.9 is required for building GHC and a number of other Haskell packages.  This spec file is a revival of the last version of Haddock 0.9 that we packaged, in late 2007.  I have tweaked it minimally to fix up the naming.

Comment 1 Bryan O'Sullivan 2008-06-16 17:10:19 UTC
*bump*

Comment 2 Jason Tibbitts 2008-06-17 21:58:58 UTC
I pinged the selinux folks about the %post scriptlet and they indicated that
that's definitely not the proper way to do things.  For example, a relabel will
render things inoperable.  At minimum it's necessary to use semanage to add a
context pattern and then use restorecon, but preferable that policy is updated
to supply the proper context for that executable (or, of course, to fix things
so that the special context isn't needed).

https://www.redhat.com/archives/fedora-selinux-list/2008-June/msg00077.html

Comment 3 Bryan O'Sullivan 2008-06-17 23:33:53 UTC
OK, I've gotten rid of the %post script.  I also cleaned up the spec file so
that source and binary RPMs pass rpmlint, the thing is built with optimisation
(!), and the generated binary is properly stripped (brp-strip doesn't touch the
symbols).

Spec: http://core.serpentine.com/haddock09.spec
Patch0: http://core.serpentine.com/haddock-O2.patch
SRPM: http://core.serpentine.com/haddock09-0.9-2.fc9.src.rpm


Comment 4 Jason Tibbitts 2008-06-18 17:41:07 UTC
I don't see any changes; the new package still has the same rpmlint complaints.

Comment 5 Bryan O'Sullivan 2008-06-18 18:00:49 UTC
Sorry, forgot to correct the release number in the SRPM after I cut and pasted.

Here's the corrected link: http://core.serpentine.com/haddock09-0.9-3.fc9.src.rpm

Comment 6 Jason Tibbitts 2008-06-18 19:09:18 UTC
Oh, heh, browser caching.

It seems odd to use the name of the package in the summary, since you get things
like:
  haddock09 - Haddock documentation tool...
but it's no big deal.

Otherwise everything looks good to me.

* source files match upstream:
   beefd4a6da577978e7a79cabba60970accc5cd48fbb04c424a6b36ace3a9f8d0  
   haddock-0.9.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   haddock09 = 0.9-3.fc10
  =
   libgmp.so.3()(64bit)
   libutil.so.1()(64bit)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 7 Bryan O'Sullivan 2008-06-18 19:25:48 UTC
Wonderful, thanks. I'll change the summary to something more sensible :-)

Summary:        Haskell documentation tool for annotated source code


Comment 8 Bryan O'Sullivan 2008-06-18 19:29:23 UTC
New Package CVS Request
=======================
Package Name: haddock09
Short Description: Haskell documentation tool for annotated source code
Owners: bos,petersen
Branches: F-9
InitialCC:
Cvsextras Commits: yes


Comment 9 Jason Tibbitts 2008-06-19 00:47:24 UTC
CVS done.

Comment 10 Bryan O'Sullivan 2008-06-19 01:51:52 UTC
Thanks for all the help, tibbs!


Note You need to log in before you can comment on or make changes to this bug.